commit:     0f16bffb5b31e582cba18fc3f9dc40eead7d9b27
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May  4 18:39:42 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May  4 18:40:33 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f16bffb

games-emulation/m64py: Support app-arch/7zip

Closes: https://bugs.gentoo.org/955160
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 games-emulation/m64py/{m64py-0.3.0.ebuild => m64py-0.3.0-r1.ebuild} | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/games-emulation/m64py/m64py-0.3.0.ebuild 
b/games-emulation/m64py/m64py-0.3.0-r1.ebuild
similarity index 96%
rename from games-emulation/m64py/m64py-0.3.0.ebuild
rename to games-emulation/m64py/m64py-0.3.0-r1.ebuild
index 7c9adf3a46de..2951a8edcd21 100644
--- a/games-emulation/m64py/m64py-0.3.0.ebuild
+++ b/games-emulation/m64py/m64py-0.3.0-r1.ebuild
@@ -31,7 +31,10 @@ RDEPEND="
        media-libs/libsdl2[joystick,video]
        >=games-emulation/mupen64plus-core-2.5:0/2-sdl2
        7z? (
-               app-arch/p7zip
+               || (
+                       app-arch/7zip[symlink(+)]
+                       app-arch/p7zip
+               )
        )
        rar? (
                || (

Reply via email to